Subject: Re: [Sipbrandy] WGLC: draft-ietf-sipbrandy-rtpsec-03

From: "Peterson, Jon" <[email-masked]>
Date: Thu, 11 Jan 2018 17:03:56 +0000

Thanks for these notes Russ:

>Major:
>
>In Section 4.3, I do not know what is meant by "STIR Profile for media
>confidentiality".

I think we've been using that language as the name for this entire effort:
as a way to leverage STIR through a particular extension with its
incumbent behavior to get media confidentiality. Since media
confidentiality was definitely not a requirement of STIR initially, this
is effectively a profile, a narrow use case applying STIR to something
slightly different. I think SHAKEN set the precedent for profiling STIR
through an extension, and we are just following that. I'm not sure how to
make that more clear, though.

>
>Minor:
>
>I think the discussion in the first paragraph of Section 3.1 should be
>slightly expanded to be clear that we are not talking about integrity
>protection of SDP k= records.  I'd prefer a MUST NOT statement.

Fine by me. 

>
>In Section 4.1: s/SIP endpoints must acquire/SIP endpoints MUST acquire/

So... I don't think this language is stipulating implementation behavior
as such - it is expressing a practical necessity rather than something we
would test conformance with, I think? The spec then goes on to discuss the
actual protocol mechanisms you might use to actually acquire credentials.
If the "must" is annoying I can paraphrase to "as a matter of practical
necessity need to". Or maybe I need more RFC8174 sensitivity training.

>
>In Section 4.2: 
>   s/should be discarded/SHOULD be discarded/
>   s/should be generated/SHOULD be generated/

These ones however I think you're right, we are talking about
implementation behavior.

>Nits:

... Will zap those nits. Thanks!

Jon Peterson
Neustar, Inc.

>
>
>
>> On Dec 12, 2017, at 8:46 AM, Gonzalo Camarillo
>><[email-masked]> wrote:
>> 
>> Folks,
>> 
>> I would like to start a WGLC on the following draft. This WGLC will
>> end on January 12th:
>> 
>> https://datatracker.ietf.org/doc/draft-ietf-sipbrandy-rtpsec/
>> 
>> Thanks,
>> 
>> Gonzalo
>
>_______________________________________________
>Sipbrandy mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/sipbrandy

---

From: Russ Housley <[email-masked]>
Date: Thu, 11 Jan 2018 16:07:26 -0500

> On Jan 11, 2018, at 12:03 PM, Peterson, Jon <[email-masked]> wrote:
> 
> 

I think we need to separate the authentication provided the signature in STIR and the ability for some other mechanism to leverage that signature to provide confidentiality.

> necessity need to". Or maybe I need more RFC8174 sensitivity training.

That change would help me.

> These ones however I think you're right, we are talking about

Thanks.

Russ